32 lines
1.0 KiB
Diff
32 lines
1.0 KiB
Diff
|
From 226e3710b4236c69a8f821b6a5c53a264fe4892a Mon Sep 17 00:00:00 2001
|
||
|
From: Harald Hoyer <harald@redhat.com>
|
||
|
Date: Mon, 5 Aug 2013 11:23:16 +0200
|
||
|
Subject: [PATCH] systemd/dracut-initqueue.sh: continue to boot if finished
|
||
|
failed
|
||
|
|
||
|
but /sysroot/etc/fstab exists.
|
||
|
---
|
||
|
modules.d/98systemd/dracut-initqueue.sh | 9 ++++++++-
|
||
|
1 file changed, 8 insertions(+), 1 deletion(-)
|
||
|
|
||
|
diff --git a/modules.d/98systemd/dracut-initqueue.sh b/modules.d/98systemd/dracut-initqueue.sh
|
||
|
index 35cd76f..893ebc4 100755
|
||
|
--- a/modules.d/98systemd/dracut-initqueue.sh
|
||
|
+++ b/modules.d/98systemd/dracut-initqueue.sh
|
||
|
@@ -62,7 +62,14 @@ while :; do
|
||
|
fi
|
||
|
|
||
|
main_loop=$(($main_loop+1))
|
||
|
- [ $main_loop -gt $RDRETRY ] && action_on_fail "Could not boot." && break
|
||
|
+ if [ $main_loop -gt $RDRETRY ];
|
||
|
+ if ! [ -d /sysroot/etc/fstab ] || ! [ -e /sysroot/sbin/init ] ; then
|
||
|
+ action_on_fail "Could not boot." && break
|
||
|
+ fi
|
||
|
+ warn "Not all disks have been found."
|
||
|
+ warn "You might want to regenerate your initramfs."
|
||
|
+ break
|
||
|
+ fi
|
||
|
done
|
||
|
|
||
|
unset job
|